#
Prev |  | Next

# spinButton

## Name

spinButton -- A widget which allows the user to input a number.

## Synopsis

spinButton [`-option` `value`...]

## Screenshot

## Options

-data

  type: string

  User defined data which can be retrieved via the cget subcommand.

-digits

  type: integer (default: 1)

  The number of decimal places to display.

-editable

  type: boolean (default: true)

  Whether the the spinButton is editable.

-hasFocus

  type: 1

  This sets the focus to the widget. To unset the focus it must be set to another widet.

-heightGroup

  type: string (default: "")

  heightGroup can be an arbitrary string. All widgets with the same heightGroup request the same height. If packed with the fill flag set, they will have nevertheless different heights.

-lower

  type: float (default: 0)

  The lower limit of the spinButton.

-maxLength

  type: integer (default: -1)

  Maximum length of entry value (-1 means not limited).

-name

  type: string

  Name of the widget, can be used to set options in an rc file.

-numeric

  type: boolean (default: 1)

  Whether non-numeric characters should be ignored.

-onShowHelp

  type: string (default: "")

  Tcl command which is executed in the global scope if the "show-help" signal is recieved, which is normally the case if the user presses F1 or Ctrl-F1. Before evaluation the following percent strings are substituated TABLE %% | % %w | widget name %h | help type: either "whatsThis" or "tooltip" TABLE

-onValueChanged

  type: string (default: "")

  Tcl command which is executed if the spinButton changes its value. Before evaluation the following percent strings are substituted: TABLE %% | % %w | widget name %v | current value /TABLE

-pageInc

  type: float (default: 10)

  The increment to use to make major changes to the value.

-sensitive

  type: boolean (default: 1)

  Whether or not the item is sensitve to user input.

-sizeGroup

  type: string (default: "")

  sizeGroup can be an arbitrary string. All widgets with the same sizeGroup request the same size. If packed with the fill flag set, they will have nevertheless different sizes.

-stepInc

  type: float (default: 1)

  The increment to use to make minor changes to the value.

-tooltip

  type: string

  Message that appear next to this widget when the mouse pointer is held over it for a short amount of time.

-upper

  type: float (default: 100)

  The upper limit of the spinButton.

-value

  type: float (default: 0)

  The value of the spinButton.

-variable

  type: string (default: "")

  Name of a (global) variable which is changed whenever the spinButton is changed.

-visible

  type: boolean (default: 1)

  Whether or not the item is visible.

-widthGroup

  type: string (default: "")

  widthGroup can be an arbitrary string. All widgets with the same widthGroup request the same width. If packed with the fill flag set, they will have nevertheless different widths.

-wrap

  type: boolean (default: 0)

  Whether the spinButton wraps upon reaching its limits.

## Description

A spinButton widgets lets the user input numerical values. If digits is zero, the value is an integer, else it is a float.

## Commands

`id` cget `option`

  Returns the value for one option. The option may have any of the values accepted by configure.

`id` configure [`-option` `value`...]

  Configures the widget. Option may have any of the values accepted on creation of the widget.

`id` delete

  Deletes the widget and the associated tcl command.

`id` onValueChanged

  Executes the associated command.

## Example

    set spin [gnocl::spinButton -upper 50 -variable var -onValueChanged {puts "value is now %v == $var"}]
    gnocl::window -title "SpinButton" -child $spin

results in

## See also

entry, scale, `GtkSpinButton`

Prev | Home | Next
scale | Up | text